protolabs42

Semantic memory search

Search memories by semantic similarity. The query text is embedded at runtime and compared against stored memory embeddings using cosine similarity.

POST
/memory/query

Search memories by semantic similarity. The query text is embedded at runtime and compared against stored memory embeddings using cosine similarity.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://chorus.runclaw.run/memory/query" \  -H "Content-Type: application/json" \  -d '{    "query": "string",    "namespace": "string"  }'
{
  "data": {
    "memories": [
      {
        "id": "string",
        "content": "string",
        "memory_type": "string",
        "owner": "string",
        "namespace": "string",
        "entity": "string",
        "category": "string",
        "tags": [],
        "confidence": 1,
        "source": "string",
        "metadata": {
          "property1": null,
          "property2": null
        },
        "source_org": "string",
        "source_claw": "string",
        "deleted_at": "string",
        "expires_at": "string",
        "created_at": "string",
        "updated_at": "string",
        "score": 1
      }
    ]
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}